Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class Dom4jAccessor.Dom4jGetter

    java.lang.Object
      org.hibernate.property.Dom4jAccessor.Dom4jGetter

All Implemented Interfaces:
  Serializable, Getter

Direct Known Subclasses:
  Dom4jAccessor.AttributeGetter, Dom4jAccessor.ElementAttributeGetter, Dom4jAccessor.ElementGetter, Dom4jAccessor.TextGetter

Enclosing class:
  Dom4jAccessor

    public abstract static class Dom4jAccessor.Dom4jGetter

extends Object
implements Getter

Defines the strategy for getting property values out of a dom4j Node.

See Also:
  Serialized Form

Field Summary
`protected SessionFactoryImplementor` | `factory`
`protected Type` | `propertyType`

Method Summary
`Object` | `getForInsert(Object owner, Map mergeMap, SessionImplementor session)` Get the property value from the given owner instance.
`Method` | `getMethod()` Optional operation (return null)
`String` | `getMethodName()` Optional operation (return null)
`Class` | `getReturnType()` Get the declared Java type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.property.Getter
`get`

Field Detail

### propertyType

    protected final Type propertyType

### factory

    protected final SessionFactoryImplementor factory

Method Detail

### getForInsert

    public Object getForInsert(Object owner,
                               Map mergeMap,
                               SessionImplementor session)
                        throws HibernateException

  Description copied from interface: `Getter`
  Get the property value from the given owner instance.

  Specified by:
    `getForInsert` in interface `Getter`
  Parameters:
    `owner` - The instance containing the value to be retreived.
    `mergeMap` - a map of merged persistent instances to detached instances
    `session` - The session from which this request originated.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getReturnType

    public Class getReturnType()

  Get the declared Java type

  Specified by:
    `getReturnType` in interface `Getter`

### getMethodName

    public String getMethodName()

  Optional operation (return null)

  Specified by:
    `getMethodName` in interface `Getter`

### getMethod

    public Method getMethod()

  Optional operation (return null)

  Specified by:
    `getMethod` in interface `Getter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD